@echo off
echo.
echo 正在注册...
regedit.exe /s in.reg
reg add "HKLM\SOFTWARE\Classes\CLSID\{269C3A6C-FFE5-4D8D-B3D0-0F78DB838BAA}\InprocServer32" /ve /d "%cd%\ActivaCOM.DLL" /f
reg add "HKLM\SOFTWARE\Classes\CLSID\{84E5CD0C-3199-4A19-9032-2DB151A39352}\InprocServer32" /ve /d "%cd%\ActivaCOM.DLL" /f
reg add "HKLM\SOFTWARE\Classes\CLSID\{8B2B6B4F-57C1-4118-B11D-9E67E27D009F}\InprocServer32" /ve /d "%cd%\SWFScout.dll" /f
reg add "HKLM\SOFTWARE\Classes\CLSID\{8F431E7E-1082-420E-935C-840198747B82}\InprocServer32" /ve /d "%cd%\SWFScoutImgAddon.dll" /f
reg add "HKLM\SOFTWARE\Classes\CLSID\{9A4FAD56-C770-4340-AF82-8D7B0CEB015F}\InprocServer32" /ve /d "%cd%\SWFScout.dll" /f
cls
echo.
echo 正在注册...
reg add "HKLM\SOFTWARE\Classes\CLSID\{C95F3816-578E-4CCB-A51C-382C522C6F38}\InprocServer32" /ve /d "%cd%\SWFScout.dll" /f
reg add "HKLM\SOFTWARE\Classes\CLSID\{CC7A69F4-C034-48FE-A19A-C6CE055804F9}\InprocServer32" /ve /d "%cd%\SWFScout.dll" /f
reg add "HKLM\SOFTWARE\Classes\CLSID\{D3C43F76-1A79-45B7-81ED-912B19E74F0A}\InprocServer32" /ve /d "%cd%\SWFScout.dll" /f
reg add "HKLM\SOFTWARE\Classes\CLSID\{F71503F0-D7DC-4125-8573-88BB070F4823}\InprocServer32" /ve /d "%cd%\SWFScout.dll" /f
reg add "HKLM\SOFTWARE\Classes\CLSID\{F7F67FBE-2459-4C48-BA07-8F718332F2C6}\InprocServer32" /ve /d "%cd%\ActivaCOM.DLL" /f
cls
echo.
echo 正在注册...
reg add "HKLM\SOFTWARE\Classes\TypeLib\{16C24F63-5CFC-41EE-B1DF-F5A2AF747117}\1.0\0\win32" /ve /d "%cd%\SWFScout.dll" /f
reg add "HKLM\SOFTWARE\Classes\TypeLib\{1D6D98F1-940F-4F19-B8A8-80DA9A545FC4}\1.0\0\win32" /ve /d "%cd%\ActivaCOM.DLL" /f
reg add "HKLM\SOFTWARE\Classes\TypeLib\{9EA552E4-E699-4A73-AC5C-1104A4901BE7}\1.0\0\win32" /ve /d "%cd%\SWFScoutImgAddon.dll" /f
cls
echo.
echo 注册完成 by yyt_sjq
echo.
pause
start FLIPFlashAlbumDeluxe.exe